﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;
namespace ClientLoadDemo.Controllers
{
    public partial class ChartController : Controller
    {
        //
        // GET: /Chart/
         public ActionResult ChartFeatures()
        {
            return View();
        }

        [HttpPost]
         public JsonResult GetData()
         {
             List<ChartData> data = new List<ChartData>();
             Random r = new Random();
             for (int i = 0; i < 12; i++)
                 data.Add(new ChartData() { 
                    XValue = 8430 + i * 10,
                    YValue1 = r.Next(10, 15),
                    YValue2 = r.Next(12, 18),
                    YValue3 = r.Next(11, 14),
                 });
             return Json(data);
         }

         public class ChartData
         {
             public double XValue
             {
                 get;
                 set;
             }
             public double YValue1
             {
                 get;
                 set;
             }
             public double YValue2
             {
                 get;
                 set;
             }
             public double YValue3
             {
                 get;
                 set;
             }
          
         }
    }
}
